Unable to create a Yogi Requirement with the "comment function?"

Description

When viewing a document I'm unable to create a Requirement out of a text:

But when i press ALT+SHIFT+R I get the menu:

But when I want to create it says:

I'm a admin and i can edit the document of cource.

the Plugin is installed correctly?

Any hit what I'm doing wrong, or and information how i can fix this? - It's Probable a configuration issue?

Creating Requirements in the edit mode is working, but the selected text will then be removed, but this is probably ok?

Environment


Version:
1.7.2
Hersteller:
Play SQL
Erweiterungsschlüssel:
com.playsql.requirementyogi
Lizenzdetails:
Evaluierung, commercial-Lizenz für unbegrenzte Benutzer, Standard, Läuft am Aug 04, 2017 ab


izenzinformation von Confluence
Confluence 6.2.3
Copyright © 2003 – 2015 Atlassian Corporation Pty Ltd.
Sofern nicht anders angegeben, unterliegt die Verwendung dieses Produkts den Bedingungen des Atlassian-Endbenutzervertrags.
Dieses Produkt umfasst Software, die von der Apache Software Foundation entwickelt wurde.
Dieses Produkt umfasst außerdem die folgenden von der GNU LGPL-Lizenz abgedeckten Bibliotheken:
Atlassian Hibernate 2 Extras (com.atlassian.hibernate:atlassian-hibernate2-extras:4.1.1:jar)
atlassian-image-consumer (com.atlassian.image:atlassian-image-consumer:1.0.1:jar)
Core Hibernate O/RM functionality (org.hibernate:hibernate-core:5.2.2.Final:jar)
ENtity VERSioning support (org.hibernate:hibernate-envers:5.2.2.Final:jar)
Hibernate 2.1.8 (Atlassian fork) (hibernate:hibernate:2.1.8-atlassian-34:jar)
Hibernate Commons Annotations (org.hibernate.common:hibernate-commons-annotations:5.0.1.Final:jar)
Hibernate/c3p0 Integration (org.hibernate:hibernate-c3p0:5.2.2.Final:jar)
image4j (org.jclarion:image4j:0.7:jar)
Java Persistence API - Version 2.1 (org.hibernate.javax.persistence:hibernate-jpa-2.1-api:1.0.0.Final:jar)
jcaptcha-all (com.octo.captcha:jcaptcha-all:1.0-RC6:jar)
JFreeChart (org.jfree:jfreechart:1.0.19:jar)
jStyleParser (net.sf.cssbox:jstyleparser:1.16-atlassian-1:jar)
jTDS (net.sourceforge.jtds:jtds:1.3.1:jar)
PDF renderer - Atlassian patched (pdf-rendererdf-renderer:1.13-atlassian-6:jar)
syntaxhighligher (1.5)
TDM (com.atlassian.confluence.diff:TDM:0.10.2:jar)
TinyMCE-TinyMCE (3.4.3.2-atlassian-3)
xhtmlrenderer (org.xhtmlrenderer:xhtmlrenderer:8.7-atlassian-01:jar)

Observations

None

Activity

Show:
Adrien Ragot (Old account)
July 23, 2017, 7:56 AM

The implementation in 1.8.0 is to show an error message if a user tried to use Alt + Shift + R on a page and the selected text isn't a requirement key.

Adrien Ragot (Old account)
July 17, 2017, 1:15 PM

Additionally, it is normal that you get errors, in some circumstances, when you test the databases. The system tests several syntaxes for escaping; only one will succeed and some databases aren't able to recover from a failed transaction until the connection is reset. If you don't have any problem in the application, then this has no importance.

Adrien Ragot (Old account)
July 17, 2017, 1:11 PM

Hi Sebastian,

Unlike JIRA issues, Requirement Yogi is here to replace requirement keys, not the text. If you type REQ-001 The software must be able to replace requirements, then highlight REQ-001, you will be able to replace the key. The rest of the line will be taken as the requirement.

Corollary: It is better to define requirements in a table, where the first column is the key and the rest is the contents of the requirement. Defining requirements in the middle of some text is not a capability of RY.

I hope that answers why RY didn't behave as you expected.

Best regards,
Adrien

Sebastian Docktor
July 17, 2017, 12:31 PM

I also get an error when I'm testing the database

Resolved

Assignee

Unassigned

Reporter

Sebastian Docktor

Labels

None

Participants

None

Components

Fix versions

Affects versions

Priority